This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 821855 - [eap6] Transactions subsystem has children resources not exposed in the plugin
[eap6] Transactions subsystem has children resources not exposed in the plugin
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
low Severity unspecified (vote)
: ---
: JON 3.1.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On: 817802
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-05-15 11:18 EDT by Stefan Negrea
Modified: 2013-09-03 11:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 817802
Environment:
Last Closed: 2013-09-03 11:18:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-05-15 11:18:25 EDT
+++ This bug was initially created as a clone of Bug #817802 +++

Description of problem:
The transactions subsystem has children resources currently not exposed for configuration by the RHQ plugin. Currently only the subsystem configuration is exposed.


Here is an edited output from the EAP cli with the children structure:

[standalone@localhost:9999 subsystem=transactions] pwd
/subsystem=transactions


[standalone@localhost:9999 subsystem=transactions] :read-resource-description(recursive=true)
"children" => {"log-store" => {
     ...
     "children" => {"transactions" => {
          ...    
          "children" => {"participants" => {

--- Additional comment from hrupp@redhat.com on 2012-05-02 08:59:40 EDT ---

Exposed child data is transient ( runtime information about tx status )
Comment 1 Stefan Negrea 2012-05-15 11:19:28 EDT
release/jon3.1.x branch commit:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=0bb2e834262695caf1150a0403288c2370cff6a6
Comment 2 Armine Hovsepyan 2012-08-02 05:35:32 EDT
reopening since the #817802 has been reopened.
Comment 3 Stefan Negrea 2012-08-14 16:11:33 EDT
Bug #817802 was wrongly sent back to development. Please retest this bug. No code changes required.
Comment 4 Armine Hovsepyan 2012-08-15 07:56:14 EDT
verified in 3.1.1.ER2
Comment 5 Heiko W. Rupp 2013-09-03 11:18:06 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.